Subject: Ticket Assigned - Screenshot 2021-10-13 at 12.48.34 PM
From: Max <[email-masked]>
To: [email-masked]
Date: Fri, 22 Oct 2021 16:39:37 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Screenshot 2021-10-13 at 12.48.34 PM Do I have to this screenshot every time I called the customer service to check my credit back? 
What is this processing until now???? 
Until now nothing on my account. 
I’m soo disappointed of this service that you are giving to me. I hope there’s someone smart and doing his/her job properly. 

Sent from my iPhone
 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/3220896